Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.message
Class MimeHeadersImpl

    java.lang.Object
      javax.xml.soap.MimeHeaders
          org.apache.axis.message.MimeHeadersImpl

All Implemented Interfaces:
  Externalizable, Serializable

public class MimeHeadersImpl
extends javax.xml.soap.MimeHeaders
implements Externalizable

wraps javax.xml.soap.MimeHeaders and implements java.io.Serializable interface

See Also:
  Serialized Form

Constructor Summary
`MimeHeadersImpl()`
`MimeHeadersImpl(javax.xml.soap.MimeHeaders h)`

Method Summary
`void` | `readExternal(ObjectInput in)`
`void` | `writeExternal(ObjectOutput out)`

Methods inherited from class javax.xml.soap.MimeHeaders
`addHeader, getAllHeaders, getHeader, getMatchingHeaders, getNonMatchingHeaders, removeAllHeaders, removeHeader, setHeader`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MimeHeadersImpl

    public MimeHeadersImpl()

### MimeHeadersImpl

    public MimeHeadersImpl(javax.xml.soap.MimeHeaders h)

Method Detail

### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

  Specified by:
    `readExternal` in interface `Externalizable`
  Throws:
    `IOException`
    `ClassNotFoundException`

### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

  Specified by:
    `writeExternal` in interface `Externalizable`
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.